Subject: Re: [net-next 0/8][pull request] Intel Wired LAN Driver Updates 2015-09-17

From: Jeff Kirsher <[email-masked]>
Date: Thu, 17 Sep 2015 18:00:52 -0700

On Thu, 2015-09-17 at 17:17 -0700, Jeff Kirsher wrote:
> This series contains updates to i40e and i40evf.
> 
> Shannon provides updates to i40e and i40evf to resolve an issue with
> the
> nvmupdate utility.  First renames a variable name to reduce confusion
> and
> to differentiate it from the actual user variable.  Then added the
> ability
> to save the admin queue write back descriptor if a caller supplies a
> buffer for it to be saved into.  Added a new GetStatus command so
> that
> the NVM update tool can query the current status instead of doing
> fake
> write requests to probe for readiness.  Added wait states to the NVM
> update state machine to signify when waiting for an update operation
> to
> finish, whether we are in the middle of a set of write operations, or
> we
> are now idle but waiting.  Then added a facility to run admin queue
> commands through the NVM update utility in order to allow the update
> tools to interact with the firmware and do special commands needed
> for
> updates and configuration changes.  Also added a facility to recover
> the
> result of a previously run admin queue command.
> 
> ---
> Waiting for Dave to update his net-next tree before pushing this
> series
> to my next-queue tree.
> 
> The following are changes since commit
> 9adbac599a71bc25a2617850ffcaa4388dc5c20d:
>   fm10k: fix iov_msg_mac_vlan_pf VID checks
> and are available in the git repository at:
>   git://git.kernel.org/pub/scm/linux/kernel/git/jkirsher/next-queue
> master

This series has been pushed up to my tree now.